Success notification should be raised while adding/removing packages to/from package filter
Status: Closed   
Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   
Triaged: Yes Found in Releases:  

Bugzilla link: 1094190 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094190

Description of problem:

UI should raise success notification, while adding/removing packages to/from package filters.

Like on adding package, UI should raise notification: Package successfully added

and on removal: Package successfully removed.

UI raised similar notifications for package groups but not for packages.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.22-1.el6sat.noarch

foreman-compute-1.5.0.22-1.el6sat.noarch

foreman-gce-1.5.0.22-1.el6sat.noarch

foreman-libvirt-1.5.0.22-1.el6sat.noarch

foreman-ovirt-1.5.0.22-1.el6sat.noarch

foreman-postgresql-1.5.0.22-1.el6sat.noarch

foreman-proxy-1.5.7-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.5.0.22-1.el6sat.noarch

katello-1.5.0-20.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.34-1.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1094190


rubygem-hammer_cli-0.1.0-8.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-18.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. create a package filter

2. add/remove packages to/from it

3.

Actual results:

no success notification raised on UI while adding/removing packages from/to package type filter

Expected results:

UI should raise success notification

Additional info:

Associated revisions

Revision fdcc8239 - 06/30/2014 09:19 AM - Brad Buckingham

fixes #6439 / BZ 1094190 - Include notification on add/remove pkg filter rule

When the user adds/removes a rule from a package filter (associated

with a content view), display a notification consistent with what

is done for package groups.

Revision b392d6b9 - 06/30/2014 09:19 AM - Brad Buckingham

fixes #6439 / BZ 1094190 - Include notification on add/remove pkg filter rule

When the user adds/removes a rule from a package filter (associated

with a content view), display a notification consistent with what

is done for package groups.

Revision c1f5aec4 - 07/01/2014 08:29 AM - Brad Buckingham

Merge pull request #4367 from bbuckingham/issue-6439

fixes #6439 / BZ 1094190 - Include notification on add/remove pkg filter rule

Revision ef86a533 - 07/01/2014 08:29 AM - Brad Buckingham

Merge pull request #4367 from bbuckingham/issue-6439

fixes #6439 / BZ 1094190 - Include notification on add/remove pkg filter rule

History

#1 - 06/30/2014 09:12 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

#2 - 06/30/2014 09:15 AM - Brad Buckingham

- Triaged changed from No to Yes

#3 - 07/01/2014 09:03 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fdcc8239e438c6b0445769edd605cdb9454e22e3.
